package cn.com.poc.thirdparty.resource.demand.ai.entity.dbchain;

import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2025/4/24
 */
public class DBChainResult extends AbstractResult implements Serializable {

    private String status;

    private String sql;

    private String sqlResult;

    private String result;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public String getSqlResult() {
        return sqlResult;
    }

    public void setSqlResult(String sqlResult) {
        this.sqlResult = sqlResult;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    @Override
    public String   toString() {
        return "DBChainResult{" +
                "status='" + status + '\'' +
                ", sql='" + sql + '\'' +
                ", sqlResult='" + sqlResult + '\'' +
                ", result='" + result + '\'' +
                '}';
    }
}
